org.gcube.dataanalysis.dataminer.poolmanager.datamodel

## Class AlgoResource

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.AlgoResource

    public class AlgoResource
    extends Object

### Field Summary

Fields
`protected String` `id`

### Constructor Summary

Constructors
Constructor and Description
`AlgoResource()`
`AlgoResource(String id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`
`void` `setId(String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected String id

### Constructor Detail

#### AlgoResource

    public AlgoResource()

#### AlgoResource

    public AlgoResource(String id)

### Method Detail

#### getId

    public String getId()

#### setId

    public void setId(String id)